Bug 1445165 (CVE-2017-7692) - CVE-2017-7692 squirrelmail: Insufficient escaping of user-supplied data
Summary: CVE-2017-7692 squirrelmail: Insufficient escaping of user-supplied data
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-7692
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1445166 1445167
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 07:34 UTC by Andrej Nemec
Modified: 2019-09-29 14:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:11:07 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-04-25 07:34:55 UTC
Squirrelmail is vulnerable to a remote code execution vulnerability because it fails to sanitize a string before passing it to a popen call. It's possible to exploit this vulnerability to execute arbitrary shell commands on the remote server.

References:

http://seclists.org/oss-sec/2017/q2/96
http://seclists.org/fulldisclosure/2017/Apr/81
http://seclists.org/oss-sec/2017/q2/114

Comment 1 Andrej Nemec 2017-04-25 07:35:14 UTC
Created squirrelmail tracking bugs for this issue:

Affects: epel-all [bug 1445166]
Affects: fedora-all [bug 1445167]

Comment 2 Andrej Nemec 2017-04-25 07:36:27 UTC
External References:

http://www.squirrelmail.org/security/issue/2017-04-24


Note You need to log in before you can comment on or make changes to this bug.